

The following patches allow 2.6.4-mm1 to build and boot on an ia64 sn.

-- John Hawkes



---

 25-akpm/arch/ia64/kernel/unaligned.c |    2 +-
 25-akpm/fs/compat_ioctl.c            |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ia64/kernel/unaligned.c~move-job-control-stuff-tosignal_struct-sn-fix arch/ia64/kernel/unaligned.c
--- 25/arch/ia64/kernel/unaligned.c~move-job-control-stuff-tosignal_struct-sn-fix	2004-03-12 04:56:42.554389768 -0800
+++ 25-akpm/arch/ia64/kernel/unaligned.c	2004-03-12 04:56:42.558389160 -0800
@@ -1337,7 +1337,7 @@ ia64_handle_unaligned (unsigned long ifa
 			 * be holding locks...
 			 */
 			if (user_mode(regs))
-				tty_write_message(current->tty, buf);
+				tty_write_message(current->signal->tty, buf);
 			buf[len-1] = '\0';	/* drop '\r' */
 			printk(KERN_WARNING "%s", buf);	/* watch for command names containing %s */
 		}
diff -puN fs/compat_ioctl.c~move-job-control-stuff-tosignal_struct-sn-fix fs/compat_ioctl.c
--- 25/fs/compat_ioctl.c~move-job-control-stuff-tosignal_struct-sn-fix	2004-03-12 04:56:42.556389464 -0800
+++ 25-akpm/fs/compat_ioctl.c	2004-03-12 04:56:42.561388704 -0800
@@ -1604,7 +1604,7 @@ static int vt_check(struct file *file)
 	 * To have permissions to do most of the vt ioctls, we either have
 	 * to be the owner of the tty, or super-user.
 	 */
-	if (current->tty == tty || capable(CAP_SYS_ADMIN))
+	if (current->signal->tty == tty || capable(CAP_SYS_ADMIN))
 		return 1;
 	return 0;                                                    
 }

_
